## org.apache.cassandra.db
Class Row

    java.lang.Object
      org.apache.cassandra.db.Row

    public class Row

extends java.lang.Object

Nested Class Summary
`static class` `Row.RowSerializer`

Field Summary
`ColumnFamily` `cf`
`DecoratedKey<?>` `key`

Constructor Summary
`Row(DecoratedKey<?> key, ColumnFamily cf)`

Method Summary
`int` `getLiveColumnCount()`
`static Row.RowSerializer` `serializer()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### key

    public final DecoratedKey<?> key

### cf

    public final ColumnFamily cf

Constructor Detail

### Row

    public Row(DecoratedKey<?> key,
               ColumnFamily cf)

Method Detail

### serializer

    public static Row.RowSerializer serializer()

### getLiveColumnCount

    public int getLiveColumnCount()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2012 The Apache Software Foundation